﻿using System.Collections.Generic;
using Microsoft.Office.Interop.Outlook;
using Outlook.WorkItems.Extension.Addin.Forms;

namespace Outlook.WorkItems.Extension.Addin.Actions
{
    public class UploadAttachmentsToTeamPortalAction : IBowieAction
    {
        private readonly IEnumerable<Attachment> _attachments;

        public UploadAttachmentsToTeamPortalAction(IEnumerable<Attachment> attachments)
        {
            _attachments = attachments;
        }

        public void Do()
        {
            using (var frm = new UploadAttachmentsForm(_attachments))
            {
                frm.ShowDialog();
            }
        }
    }
}
