﻿namespace Outlook.WorkItems.Extension.Managers.TeamBuildManager
{
    /// <summary>
    /// Store link settings between a MAPIFolder and a Team Project
    /// </summary>
    public class BuildCalendarLink
    {
        private SynchronizeBuildAction synchronizeBuildAction;

        /// <summary>
        /// MAPIFolder EntryID
        /// </summary>
        public string FolderEntryID { get; set; }
        /// <summary>
        /// MAPIFolder StoreID
        /// </summary>
        public string FolderStoreID { get; set; }
        /// <summary>
        /// Team Server Name
        /// </summary>
        public string TeamServerName { get; set; }
        /// <summary>
        /// Team Server Name
        /// </summary>
        public string TeamServerUri { get; set; }
        /// <summary>
        /// Team Project Name
        /// </summary>
        public string TeamProjectName { get; set; }
        /// <summary>
        /// Settings of create work item action
        /// </summary>
        public SynchronizeBuildAction SynchronizeBuildAction
        {
            get { return synchronizeBuildAction; }
            set
            {
                synchronizeBuildAction = value;
                if (synchronizeBuildAction != null)
                    synchronizeBuildAction.ParentLink = this;
            }
        }
    }
}
